Package org.kapott.cryptalgs

## Class SignatureParamSpec

- java.lang.Object
- - org.kapott.cryptalgs.SignatureParamSpec

All Implemented Interfaces:
  `java.security.spec.AlgorithmParameterSpec`

    public final class SignatureParamSpec
    extends java.lang.Object
    implements java.security.spec.AlgorithmParameterSpec

### Constructor Summary

Constructors
`SignatureParamSpec​(java.lang.String hashAlg, java.lang.String provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHashAlg()`
`java.lang.String` `getProvider()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignatureParamSpec

    public SignatureParamSpec​(java.lang.String hashAlg,
                              java.lang.String provider)

### Method Detail

#### getHashAlg

    public java.lang.String getHashAlg()

#### getProvider

    public java.lang.String getProvider()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`